org.apache.solr.client.solrj.request.schema

## Class FieldTypeDefinition

- java.lang.Object
- - org.apache.solr.client.solrj.request.schema.FieldTypeDefinition

Direct Known Subclasses:
  FieldTypeRepresentation

    public class FieldTypeDefinition
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FieldTypeDefinition()`

### Method Summary

Methods
`AnalyzerDefinition` `getAnalyzer()`
`Map<String,Object>` `getAttributes()`
`AnalyzerDefinition` `getIndexAnalyzer()`
`AnalyzerDefinition` `getMultiTermAnalyzer()`
`AnalyzerDefinition` `getQueryAnalyzer()`
`Map<String,Object>` `getSimilarity()`
`void` `setAnalyzer(AnalyzerDefinition analyzer)`
`void` `setAttributes(Map<String,Object> attributes)`
`void` `setIndexAnalyzer(AnalyzerDefinition indexAnalyzer)`
`void` `setMultiTermAnalyzer(AnalyzerDefinition multiTermAnalyzer)`
`void` `setQueryAnalyzer(AnalyzerDefinition queryAnalyzer)`
`void` `setSimilarity(Map<String,Object> similarity)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldTypeDefinition

    public FieldTypeDefinition()

### Method Detail

#### getAttributes

    public Map<String,Object> getAttributes()

#### setAttributes

    public void setAttributes(Map<String,Object> attributes)

#### getSimilarity

    public Map<String,Object> getSimilarity()

#### setSimilarity

    public void setSimilarity(Map<String,Object> similarity)

#### getAnalyzer

    public AnalyzerDefinition getAnalyzer()

#### setAnalyzer

    public void setAnalyzer(AnalyzerDefinition analyzer)

#### getIndexAnalyzer

    public AnalyzerDefinition getIndexAnalyzer()

#### setIndexAnalyzer

    public void setIndexAnalyzer(AnalyzerDefinition indexAnalyzer)

#### getQueryAnalyzer

    public AnalyzerDefinition getQueryAnalyzer()

#### setQueryAnalyzer

    public void setQueryAnalyzer(AnalyzerDefinition queryAnalyzer)

#### getMultiTermAnalyzer

    public AnalyzerDefinition getMultiTermAnalyzer()

#### setMultiTermAnalyzer

    public void setMultiTermAnalyzer(AnalyzerDefinition multiTermAnalyzer)